astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_SlantOrthographic

# Sky2Pix_SlantOrthographic

class `astropy.modeling.projections.``Sky2Pix_SlantOrthographic`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.Zenithal`

  Slant orthographic projection - sky to pixel.

  Corresponds to the `SIN` projection in FITS WCS.

  See `Zenithal` for a definition of the full transformation.

  The following transformation applies when \xi and \eta are both zero.

  R_\theta = \frac{180^{\circ}}{\pi}\cos \theta

  But more specifically are:

  x &= \frac{180^\circ}{\pi}[\cos \theta \sin \phi + \xi(1 - \sin \theta)] \\ y &= \frac{180^\circ}{\pi}[\cos \theta \cos \phi + \eta(1 - \sin \theta)]

  Attributes Summary

  `eta` |
  `param_names` |
  `xi` |

  Methods Summary

  `evaluate`(phi, theta, xi, eta) |

  Attributes Documentation

  `eta`
  `param_names` = ('xi', 'eta')
  `xi`

  Methods Documentation

  classmethod `evaluate`(phi, theta, xi, eta)